:root {
  --primary-color: #f2c744;
  --light: #f4f6f9;
  --dark: #000;
  --primary-font: 'Shadows Into Light', cursive;
  --secondary-font: 'Dancing Script', cursive;
}
body {
  color: black;
  font-size: 16px;
  background-color: #f4f6f9;
  font-family: 'Shadows Into Light';
}
p, h1, h2, h3 {
  margin: 0;
  font-weight: bold;
}

.wrapper {
  display: grid;
  grid-template-rows: auto;
  grid-template-columns: minmax(400px, 700px) auto;
  grid-template-rows: auto;
  grid-template-areas: 
    "header header "
    "main sidebar"
    "footer footer"
}

.header {
  grid-area: header;
  text-align: center;
  padding: 15px;
  box-shadow:0 0 10px rgb(160, 160, 160);
  margin: 5px;
}

.header_logo {
  width: 90px;
  height: 60px;
}

.title {
  font-family: 'Dancing Script',  cursive;
  font-weight: 700;
}

.main {
  display: grid;
  grid-area: main;
}

.gallery__items {
  display: grid;
  grid-template-columns: repeat(3,  minmax(100px, 249px));
  /* grid-template-columns: repeat(auto-fit, 249px); */
  grid-template-rows: repeat(12, 50px);
  box-shadow:0 0 10px rgb(160, 160, 160);
  justify-content: center;
  margin: 5px;
  padding: 10px;
  column-gap: 10px;
  row-gap: 10px;
}

.gallery__item {
  position: relative; 
}

.gallery__item img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  overflow: hidden;
}

.img1 { grid-area: 1 / 1 / 3 / 2; }
.img2 { grid-area: 3 / 1 / 7 / 2; }
.img3 { grid-area: 7 / 1 / 10 / 2; }
.img4 { grid-area: 10 / 1 / 12 / 2; }
.img5 { grid-area: 1 / 2 / 4 / 3; }
.img6 { grid-area: 4 / 2 / 6 / 3; }
.img7 { grid-area: 6 / 2 / 9 / 3; }
.img8 { grid-area: 9 / 2 / 13 / 3; }
.img9 { grid-area: 1 / 3 / 6 / 4; }
.img10 { grid-area: 6 / 3 / 8 / 4; }
.img11 { grid-area: 8 / 3 / 13 / 4; }

.sidebar {
  grid-area: sidebar;
  text-align: center;
  box-shadow:0 0 10px rgb(160, 160, 160);
  height: fit-content;
  padding: 15px;
  margin: 5px;
  position: sticky;
  top: 20px;
}
.side_avatar {
  width: 119px;
  height: 119px;
  border-radius: 50%;
  object-fit: cover;
}

.side_subtitle {
  font-weight: bold;
  font-size: 16px;
  padding-bottom: 5px;
}
.sidebar_icons {
  padding-top: 12px;
}

.footer {
  grid-area: footer;
  text-align: center;
  box-shadow:0 0 10px rgb(160, 160, 160);
  margin: 5px;
  padding: 15px;
  font-size: 14px;
  position: relative;
}

.footer_logo {
  width: 60px;
  height: 40px;
}

@media screen and (max-width: 768px) {
  .gallery__items {
    grid-template-columns: repeat(2, 1fr);
  }
}
